Bug 456839 - Failed to load module "libcanberra-gtk-module" ....
Summary: Failed to load module "libcanberra-gtk-module" ....
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libcanberra
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-28 01:06 UTC by Tom London
Modified: 2008-07-28 11:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 11:16:07 UTC
Type: ---


Attachments (Terms of Use)

Description Tom London 2008-07-28 01:06:25 UTC
Description of problem:
Seem to be getting "No such file or directory" messages for
libcanberra-gtk-module.so, but it seems to be in /usr/lib/gtk-2.0/modules:

[tbl@localhost ~]$ ls -l /usr/lib/gtk-2.0/modules
total 556
-rwxr-xr-x 1 root root  24344 2008-07-21 20:51 libatk-bridge.so
-rwxr-xr-x 1 root root  15652 2008-07-25 09:53 libcanberra-gtk-module.so
-rwxr-xr-x 1 root root    971 2008-07-21 20:16 libferret.la
-rwxr-xr-x 1 root root  56500 2008-07-21 20:16 libferret.so
-rwxr-xr-x 1 root root  22948 2008-02-08 21:30 libgail-gnome.so
-rwxr-xr-x 1 root root   1108 2008-07-21 20:16 libgail.la
-rwxr-xr-x 1 root root 334380 2008-07-21 20:16 libgail.so
-rwxr-xr-x 1 root root  56096 2008-07-22 19:43 libgnomebreakpad.so
[tbl@localhost ~]$ 

Typical messages from ~/.xsession-errors:
Gtk-Message: Failed to load module "libcanberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "libcanberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
** (gnome-session:3117): DEBUG: GsmXsmpServer:
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3117,unix/unix:/tmp/.ICE-unix/3117


Typical message from starting fusion-icon:

[tbl@localhost ~]$  * Detected Session: gnome
 * Searching for installed applications...
 * Intel detected, exporting: INTEL_BATCH=1
 * Using the GTK Interface
Gtk-Message: Failed to load module "libcanberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
 * Starting Compiz
 ... executing: compiz --replace --sm-disable --ignore-desktop-hints ccp
--indirect-rendering
Gtk-Message: Failed to load module "libcanberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file: No such file or directory



Version-Release number of selected component (if applicable):
libcanberra-gtk2-0.4-1.fc10.i386
libcanberra-0.4-1.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Timothy Davis 2008-07-28 08:49:54 UTC
Wrote simple program in Python:

import pygtk
pygtk.require('2.0')
import gtk

class Base:
	def __init__(self):
		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
		self.window.show()
		
	def main(self):
		gtk.main()
		
print __name__
if __name__=="__main__":
	base = Base()
	base.main()

And the output was 
Gtk-Message: Failed to load module "libcanberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
__main__


Comment 2 Timothy Davis 2008-07-28 08:54:58 UTC
(In reply to comment #1)
> Wrote simple program in Python:
> 
> import pygtk
> pygtk.require('2.0')
> import gtk
> 
> class Base:
> 	def __init__(self):
> 		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
> 		self.window.show()
> 		
> 	def main(self):
> 		gtk.main()
> 		
> print __name__
> if __name__=="__main__":
> 	base = Base()
> 	base.main()
> 
> And the output was 
> Gtk-Message: Failed to load module "libcanberra-gtk-module":
> libcanberra-gtk-module.so: cannot open shared object file: No such file or
directory
> __main__
> 


Created a symlink in /usr/lib/ to /usr/lib/gtk-2.0/modules/libcanberra-gtk-module

Error message no longer reported



Comment 3 Lennart Poettering 2008-07-28 11:16:07 UTC
This is fixed in the latest version of the libcanebrra package (0.4-2)


Note You need to log in before you can comment on or make changes to this bug.